package com.iformall.domain.dto;

import java.io.Serializable;
import java.util.Date;


public class WxSharingOrderDto implements Serializable {
	private static final long serialVersionUID = 1L;

	/**租户ID**/
	@io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
	private String tenantId;
	/**订单ID**/
	@io.swagger.annotations.ApiModelProperty(value="订单ID",name="orderId")
	private Long orderId;
	/**用户ID**/
	@io.swagger.annotations.ApiModelProperty(value="用户ID",name="cUserId")
	private Long cUserId;
	/**微信生成的订单号**/
	@io.swagger.annotations.ApiModelProperty(value="微信生成的订单号",name="transactionId")
	private String transactionId;
	/**支付金额(分)**/
	@io.swagger.annotations.ApiModelProperty(value="支付金额(分)",name="payAmount")
	private Integer payAmount;
	/***/
	@io.swagger.annotations.ApiModelProperty(value="",name="merchantId")
	private Long merchantId;
	/**分账金额(总金额扣除手续费后的金额)**/
	@io.swagger.annotations.ApiModelProperty(value="分账金额",name="shareAmount")
	private Integer shareAmount;

	/**支付发起时间**/
	@io.swagger.annotations.ApiModelProperty(value="支付发起时间",name="payTimeStart")
	private Date payTimeStart;
	/**支付结束时间**/
	@io.swagger.annotations.ApiModelProperty(value="支付结束时间",name="payTimeEnd")
	private Date payTimeEnd;
	/**分账订单类型**/
	@io.swagger.annotations.ApiModelProperty(value="分账订单类型",name="type")
	private Integer type;


	public String  getTenantId() {
		return tenantId;
	}
	public Long  getOrderId() {
		return orderId;
	}
	public void setOrderId(Long _orderId) {
		orderId = _orderId;
	}

	public Long getcUserId() {
		return cUserId;
	}
	public void setcUserId(Long cUserId) {
		this.cUserId = cUserId;
	}

	public Integer  getPayAmount() {
		return payAmount;
	}
	public void setPayAmount(Integer _payAmount) {
		payAmount = _payAmount;
	}
	public Date  getPayTimeStart() {
		return payTimeStart;
	}
	public void setPayTimeStart(Date _payTimeStart) {
		payTimeStart = _payTimeStart;
	}
	public Date  getPayTimeEnd() {
		return payTimeEnd;
	}
	public void setPayTimeEnd(Date _payTimeEnd) {
		payTimeEnd = _payTimeEnd;
	}

	public String  getTransactionId() {
		return transactionId;
	}
	public void setTransactionId(String _transactionId) {
		transactionId = _transactionId;
	}

	public Integer getShareAmount() {
		return shareAmount;
	}
	public void setShareAmount(Integer shareAmount) {
		this.shareAmount = shareAmount;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public Long getMerchantId() {
		return merchantId;
	}

	public void setMerchantId(Long merchantId) {
		this.merchantId = merchantId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
}
